package com.mcwl.web.controller.communityCenter;


import com.mcwl.communityCenter.domain.Community;
import com.mcwl.communityCenter.service.CommunityCenterService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("community")
@RequiredArgsConstructor
public class CommunityController {

    private final CommunityCenterService communityCenterService;


    @GetMapping("list")
    public List<Community> getCommunityList(){
        return communityCenterService.list();
    }

}
