package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 用户和社区关联表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_user_community")
public class UserCommunity extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户id - 多租户id
     */
    private Long tenantId;

    /**
     * 社区id
     */
    private Long communityId;

}
