package com.mcwl.web.controller.communityCenter;


import com.mcwl.communityCenter.domain.Community;
import com.mcwl.communityCenter.domain.Publish;
import com.mcwl.communityCenter.service.CommunityCenterService;
import com.mcwl.communityCenter.service.PublishService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("publish")
@RequiredArgsConstructor
public class PublishController {

    private final PublishService publishService;


    @GetMapping("list")
    public List<Publish> getCommunityList(){
        return publishService.list();
    }

}
